Skip to content

Create Connection

POST
/api/v1/connectors/unified/connections
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/connectors/unified/connections \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "connection_id": "example", "state": "example" }'

Post-auth callback: fetch + verify the Unified connection, upsert, emit.

Media typeapplication/json
ConnectionCreate
object
connection_id
required
Connection Id
string
>= 1 characters <= 100 characters
state
required
State
string
>= 1 characters <= 256 characters
Examplegenerated
{
"connection_id": "example",
"state": "example"
}

Successful Response

Media typeapplication/json
Response Create Connection Api V1 Connectors Unified Connections Post
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}